Page MenuHomePhabricator

Deploy QuickSurveys extension to the English Wikipedia
Closed, ResolvedPublic2 Story Points

Description

Get the quick surveys extension deployed to Wikimedia wikis without any enabled surveys.

  • First campaign to be decided by Anne, Jon and I before this can happen. The first survey is defined in T113443

Event Timeline

Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez added a project: QuickSurveys.
Jhernandez set Security to None.
Jhernandez moved this task from To classify to Sprint 55: π on the Reading-Web-Planning board.
Jhernandez moved this task from Sprint 55: π to Sprint 56: 4... on the Reading-Web-Planning board.
Jhernandez added subscribers: Jdlrobson, Aklapper, Jhernandez.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptAug 28 2015, 10:36 AM
Legoktm renamed this task from Deploy QuickSurveys to wikimedia wikis. to Deploy QuickSurveys extension to Wikimedia wikis.Sep 4 2015, 12:01 AM
Legoktm updated the task description. (Show Details)
Jdlrobson lowered the priority of this task from High to Normal.Sep 28 2015, 4:01 PM

Until we want to run the first survey..

Jdlrobson edited a custom field.Oct 26 2015, 10:28 PM
Jdlrobson renamed this task from Deploy QuickSurveys extension to Wikimedia wikis to Deploy QuickSurveys extension to all Wikimedia wikis.Oct 27 2015, 4:15 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 30 2015, 8:27 PM

I think we're ready to do this with the 0.6 release (maybe we should rename to 1.0?). I'm assuming this involves including the extension within mediawiki-config and letting it ride the train, not actually doing a SWAT deploy? @bmansurov or @Jdlrobson, confirm? If there's more to it than just including the wfLoadExtension line, then maybe someone would want to walk me through it.

Krenair added a subscriber: Krenair.Nov 2 2015, 4:57 PM

mediawiki-config changes don't 'ride the train'. You shouldn't be deploying new extensions as part of SWAT windows either.

mediawiki-config changes don't 'ride the train'. You shouldn't be deploying new extensions as part of SWAT windows either.

Thanks for the info. I haven't deployed a new extension before, so if there's a mediawiki page you could point me to re:the process, I'd appreciate it!

Krenair added a subscriber: greg.Nov 2 2015, 5:16 PM

You need to make sure the extension is getting branched in the make-wmf-branch tool, is currently included in the deployed code, and then you can add your wfLoadExtension call, after coordinating with @greg. https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment has details of the process up to that point.

@atgo - do we know the survey we want to run first? It would be good to set this up at the same time for testing purposes.

Looks like this will be next Tuesday.
I'll make the necessary patch but I'll need someone to own it and make this happen next sprint.

@Jdlrobson in case this wasn't clear, the first survey is being defined in: T113443

This comment was removed by jhobs.

Please ignore my previous comment. I skimmed the other task too hastily.

Change 251130 had a related patch set uploaded (by Jdlrobson):
Deploy QuickSurveys to all wikis

https://gerrit.wikimedia.org/r/251130

Change 251144 had a related patch set uploaded (by Jdlrobson):
Add QuickSurveys branch

https://gerrit.wikimedia.org/r/251144

Jdlrobson renamed this task from Deploy QuickSurveys extension to all Wikimedia wikis to Deploy QuickSurveys extension to all English Wikipedia.Nov 4 2015, 10:55 PM

I confirmed with Anne that only English Wikipedia is needed for the time being due to lead time on being able to translate the survey.

phuedx updated the task description. (Show Details)Nov 5 2015, 11:06 AM
phuedx added a subscriber: phuedx.Nov 5 2015, 3:26 PM

Code Review isn't quite the right place for this but then neither is Ready for Signoff.

I'd appreciate some review and +1s on the patchs. After all there are only 2 r's in array.

Legoktm renamed this task from Deploy QuickSurveys extension to all English Wikipedia to Deploy QuickSurveys extension to the English Wikipedia.Nov 5 2015, 5:25 PM

Change 251144 merged by jenkins-bot:
Add QuickSurveys branch

https://gerrit.wikimedia.org/r/251144

Change 251130 merged by jenkins-bot:
Prepare to enable QuickSurveys in production

https://gerrit.wikimedia.org/r/251130

Change 252606 had a related patch set uploaded (by Jhobs):
Deploy QuickSurveys to English Wikipedia

https://gerrit.wikimedia.org/r/252606

phuedx reassigned this task from Jdlrobson to jhobs.Nov 12 2015, 1:01 PM

Change 252606 merged by jenkins-bot:
Deploy QuickSurveys to English Wikipedia

https://gerrit.wikimedia.org/r/252606

phuedx closed this task as Resolved.Nov 13 2015, 9:35 AM
phuedx added a subscriber: leila.

@leila has confirmed that we're receiving survey responses elsewhere.